Package tigase.xmpp.impl.push

# Class EncryptedPushNotificationExtension

java.lang.Object
tigase.xmpp.impl.push.EncryptedPushNotificationExtension

All Implemented Interfaces:
  `PushNotificationsAware`, `PushNotificationsExtension`

@Bean(name="encrypted", parent=PushNotifications.class, active=true) public class EncryptedPushNotificationExtension extends Object implements PushNotificationsExtension

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `XMLNS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EncryptedPushNotificationExtension()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Element[]`
  `getDiscoFeatures()`
  `void`
  `prepareNotificationPayload(Element pushServiceSettings, Packet packet, long msgCount, Element notification)`
  `void`
  `processEnableElement(Element enableEl, Element settingsEl)`
  `boolean`
  `shouldSendNotification(Packet packet, BareJID userJid, XMPPResourceConnection session)`
  `static String`
  `trimBodyToSize(int limit, String body)`
  `protected static void`
  `valueToString(Object value, StringBuilder sb)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tigase.xmpp.impl.push.PushNotificationsExtension

  `setPushNotifications`

- ## Field Details

  - ### XMLNS

    public static final String XMLNS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EncryptedPushNotificationExtension

    public EncryptedPushNotificationExtension()

- ## Method Details

  - ### getDiscoFeatures

    public Element[] getDiscoFeatures()
    Specified by:
      `getDiscoFeatures` in interface `PushNotificationsAware`

  - ### shouldSendNotification

    public boolean shouldSendNotification(Packet packet, BareJID userJid, XMPPResourceConnection session) throws XMPPException
    Specified by:
      `shouldSendNotification` in interface `PushNotificationsExtension`
    Throws:
      `XMPPException`

  - ### processEnableElement

    public void processEnableElement(Element enableEl, Element settingsEl)
    Specified by:
      `processEnableElement` in interface `PushNotificationsAware`

  - ### prepareNotificationPayload

    public void prepareNotificationPayload(Element pushServiceSettings, Packet packet, long msgCount, Element notification)
    Specified by:
      `prepareNotificationPayload` in interface `PushNotificationsExtension`

  - ### trimBodyToSize

    public static String trimBodyToSize(int limit, String body)

  - ### valueToString

    protected static void valueToString(Object value, StringBuilder sb)